#pragma once

#include "ofMain.h"

class testApp : public ofBaseApp{

private:
	
	// Ԍvp
	long startTime;
	double ellapsedTime;

	// XN[p
	int offset;
	ofPoint startPoint;

	// J[\ʒu
	int cursorIndex;

	// Ot`̈
	ofRectangle graphRect;

	// f[^
	std::vector<std::pair<string, double> > data;

	// X^[g{^
	std::string startText;
	ofPoint startTextPos;
	ofRectangle startRect;

	// Xgbv{^
	std::string stopText;
	ofPoint stopTextPos;
	ofRectangle stopRect;

private:

	void Load(); // f[^ǂݍ
	int ConvertX(int x) { return x + offset; }
	int ConvertY(double y) { return 600 - (int)(y * 3); }
	int ConvertXInverse(int x) { return x - offset; }

public:
	void setup();
	void update();
	void draw();

	void mouseDragged(int x, int y, int button);
	void mousePressed(int x, int y, int button);
		
};
